import { PrivacyDataTags, Keywords, EventTags, LoggingLevel, DMADataCategory } from "./TraceLogging";
export interface ITraceLoggingDispatcher {
    isTraceLoggingEnabled: boolean | undefined;
    isDiagnosticDataSharingEnabled: boolean | undefined;
    dispatch(eventName: string, providerName: string, dmaDataCategory: DMADataCategory, privacyTag: PrivacyDataTags, keyword: Keywords, tags: EventTags, loggingLevel: LoggingLevel, partC: string): Promise<void>;
    getIsDiagnosticDataEnabled(): Promise<boolean>;
    getIsDiagnosticDataSharingEnabled(): Promise<boolean>;
    collectionLevelChangedCallback(isEnabled: boolean): void;
}
